Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0016872
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2011-04-22 16:452011-05-17 12:51
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8a3211c3caf9
ProjectionnoneETAnoneTarget Version3.0MP0
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0016872: Open in new tab: performance improvement

DescriptionInstead of opening the window from the top to the bottom, emulating the user, the system needs to open directly the target tab in edit mode and then open the other (parent-grandparent) tabs in the background.

Also change the open in edit mode, to open the form directly and not show the grid in between.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0036360)
hgbot (developer)
2011-05-04 15:18

Repository: erp/devel/pi
Changeset: 857750d432ee0598945427995165fc7e867548a2
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed May 04 15:17:49 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/857750d432ee0598945427995165fc7e867548a2 [^]

Related to issue 16872: Open in new tab: performance improvement

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-standard-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-view-grid.js
---
(0036362)
hgbot (developer)
2011-05-04 16:49

Repository: erp/devel/pi
Changeset: 02f4b39d20c1563414a952f0e8c175837d6b1c3b
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed May 04 16:49:08 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/02f4b39d20c1563414a952f0e8c175837d6b1c3b [^]

Related to issue 16872: Open in new tab: performance improvement

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-view-grid.js
---
(0036364)
hgbot (developer)
2011-05-04 17:02

Repository: erp/devel/pi
Changeset: 211cf49219b304c95632bcc95ab022b14a4a1bc8
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed May 04 17:01:59 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/211cf49219b304c95632bcc95ab022b14a4a1bc8 [^]

Related to issue 16872: Open in new tab: performance improvement

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-view-grid.js
---
(0036457)
hgbot (developer)
2011-05-05 22:14

Repository: erp/devel/pi
Changeset: 8a3211c3caf94e1318ca8bf0edc126ee5a30748e
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Thu May 05 22:14:18 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8a3211c3caf94e1318ca8bf0edc126ee5a30748e [^]

Fixes issue 16872: Open in new tab: performance improvement

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-standard-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-toolbar.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-view-grid.js
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DefaultDataSourceService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonConstants.java
---
(0036812)
hudsonbot (developer)
2011-05-12 13:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test
(0036813)
hudsonbot (developer)
2011-05-12 13:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test
(0036814)
hudsonbot (developer)
2011-05-12 13:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test
(0036834)
hudsonbot (developer)
2011-05-12 13:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c40e579fcd38 [^]

Maturity status: Test
(0037070)
iperdomo (developer)
2011-05-17 12:51

Tested on pi @ rev 4b75a6927f27

- Issue History
Date Modified Username Field Change
2011-04-22 16:45 mtaal New Issue
2011-04-22 16:45 mtaal Assigned To => mtaal
2011-04-22 16:45 mtaal Modules => Core
2011-05-02 10:38 alostale Status new => scheduled
2011-05-04 15:18 hgbot Checkin
2011-05-04 15:18 hgbot Note Added: 0036360
2011-05-04 16:49 hgbot Checkin
2011-05-04 16:49 hgbot Note Added: 0036362
2011-05-04 17:02 hgbot Checkin
2011-05-04 17:02 hgbot Note Added: 0036364
2011-05-05 17:23 dmitry_mezentsev Target Version 3.0RC7 => 3.0MP0
2011-05-05 22:14 hgbot Checkin
2011-05-05 22:14 hgbot Note Added: 0036457
2011-05-05 22:14 hgbot Status scheduled => resolved
2011-05-05 22:14 hgbot Resolution open => fixed
2011-05-05 22:14 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8a3211c3caf94e1318ca8bf0edc126ee5a30748e [^]
2011-05-12 13:29 hudsonbot Checkin
2011-05-12 13:29 hudsonbot Note Added: 0036812
2011-05-12 13:29 hudsonbot Checkin
2011-05-12 13:29 hudsonbot Note Added: 0036813
2011-05-12 13:29 hudsonbot Checkin
2011-05-12 13:29 hudsonbot Note Added: 0036814
2011-05-12 13:30 hudsonbot Checkin
2011-05-12 13:30 hudsonbot Note Added: 0036834
2011-05-17 12:51 iperdomo Note Added: 0037070
2011-05-17 12:51 iperdomo Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker